<template>
    <el-row class="inputsGroup" :gutter="20" align="middle" v-for="(item, index) in this.personForm.birzha_ids" v-bind:key="item">
      <el-col :span="22">
        <el-form-item label="Наименование доступной биржи" prop="">
          <el-select v-model="item.birzha_id" placeholder="Наименование доступной биржи">
            <el-option
                v-for="item in this.dictionaries.birzha"
                :key="item.id"
                :label="item.name"
                :value="item.id"
            />
          </el-select>
        </el-form-item>
      </el-col>
      <el-col :span="2">
        <el-button type="info" class="bigButton" v-if="index !== 0" @click="removeItem(index)"><img src="@/assets/person-form/trash.svg" class="icon-image" alt=""></el-button>
      </el-col>
    </el-row>
  <el-button class="addItemButton" type="info" @click="addItem()"><img src="@/assets/person-form/plus.svg" class="icon-image" alt=""> Добавить биржу</el-button>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    },
    removeItem(index){
      this.personForm.birzha_ids.splice(index, 1);
    },
    addItem(){
      this.personForm.birzha_ids.push({
        birzha_id: ''
      });
    },
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>